//
//  GetSeriesDetailResponse.swift
//  SodaLive
//
//  Created by klaus on 4/29/24.
//

import Foundation

struct GetSeriesDetailResponse: Decodable {
    let seriesId: Int
    let title: String
    let coverImage: String
    let introduction: String
    let genre: String
    let isAdult: Bool
    let writer: String?
    let studio: String?
    let publishedDate: String
    let creator: GetSeriesDetailCreator
    let rentalMinPrice: Int
    let rentalMaxPrice: Int
    let rentalPeriod: Int
    let minPrice: Int
    let maxPrice: Int
    let keywordList: [String]
    let publishedDaysOfWeek: String
    let contentList: [GetSeriesContentListItem]
    let contentCount: Int
}

struct GetSeriesDetailCreator: Decodable {
    let creatorId: Int
    let nickname: String
    let profileImage: String
    let isFollow: Bool
    let isNotify: Bool
}
